Name: qhull
Version: 2003.1
Release: alt3

Summary: General dimension convex hull programs
Packager: Paul Wolneykien <manowar@altlinux.ru>
License: BSD-style
Group: Sciences/Mathematics
Source: %{name}-%{version}.tar.gz
URL: http://www.geom.umn.edu/software/qhull/
Requires: %name-lib = %version-%release

# Automatically added by buildreq on Sat Nov 01 2008
BuildRequires: gcc-c++ gcc-fortran

%description
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

Rbox is a useful tool in generating input for Qhull; it generates
hypercubes, diamonds, cones, circles, simplices, spirals,
lattices, and random points.

Qhull produces graphical output for Geomview.  This helps with
understanding the output. <http://www.geomview.org>

%package lib
Summary: General dimension convex hull program library
License: BSD-style
Group: Sciences/Mathematics
URL: http://www.geom.umn.edu/software/qhull/

%description lib
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

Rbox is a useful tool in generating input for Qhull; it generates
hypercubes, diamonds, cones, circles, simplices, spirals,
lattices, and random points.

Qhull produces graphical output for Geomview.  This helps with
understanding the output. <http://www.geomview.org>

This package contains the dynamic library files.

%package devel
Summary: General dimension convex hull program development files.
License: BSD-style
Group: Sciences/Mathematics
URL: http://www.geom.umn.edu/software/qhull/
Requires: %name-lib = %version-%release
BuildArch: noarch

%description devel
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

Rbox is a useful tool in generating input for Qhull; it generates
hypercubes, diamonds, cones, circles, simplices, spirals,
lattices, and random points.

Qhull produces graphical output for Geomview.  This helps with
understanding the output. <http://www.geomview.org>

This package contains the files for development.

%package doc
Summary: General dimension convex hull program documentation
License: BSD-style
Group: Sciences/Mathematics
URL: http://www.geom.umn.edu/software/qhull/
BuildArch: noarch

%description doc
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

Rbox is a useful tool in generating input for Qhull; it generates
hypercubes, diamonds, cones, circles, simplices, spirals,
lattices, and random points.

Qhull produces graphical output for Geomview.  This helps with
understanding the output. <http://www.geomview.org>

This package contains the HTML documentation.

%prep
%setup

%build
./configure --enable-shared --disable-static
make

%install
%makeinstall NAME=%name VERSION=%version PACKAGE=%{name}-%{version}

%files
%_bindir/*
%_man1dir/*

%files lib
%_libdir/*

%files devel
%_includedir/*

%files doc
%_docdir/%name-%version/*
%_docdir/%name-%version/*/*

%changelog
* Sat Nov 01 2008 Paul Wolneykien <manowar@altlinux.ru> 2003.1-alt3
- BuildRequires: gcc-c++ gcc-fortran

* Sat Nov 01 2008 Paul Wolneykien <manowar@altlinux.ru> 2003.1-alt2
- Fix of the missing dependence: development to library package.

* Wed Sep 24 2008 Paul Wolneykien <manowar@altlinux.ru> 2003.1-alt1
- Initial release for ALTLinux.
